package com.brilliance.isc.common.ordmod.service;

import com.brilliance.isc.bo.Smh;
import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.common.ordmod.vo.OrdmodVo;

public interface OrdmodService {
    void ordUpdate(OrdmodVo ordmod, String newStatus);

    void ordUpdate(OrdmodVo ordmod, Trn argTrn, String newStatus);

    String ordGetINR(OrdmodVo ordmod);

    void ordNew(OrdmodVo ordmod);

    void ordReadLock(String argORDINR, OrdmodVo ordmod);

    void ordReadHold(String argORDINR, OrdmodVo ordmod);

    void oreUpdate(OrdmodVo ordmod,String newStatus,String inifrm);

    String insertOrdForjk(Spt spt, Smh smh);

}
